Page MenuHomePhabricator

Banners are used as the illustration when shared on social media websites such as Facebook
Closed, ResolvedPublic

Description

Social network like Facebook often show the first picture of a page as an illustration of the shared link.
Banners, due to their shape, might not be good illustrations.
Maybe there is a way to prevent the banner being used as an illustration if other images on the page fit better.

Details

Related Gerrit Patches:
mediawiki/extensions/PageImages : masterAdd PageImage OpenGraph tag

Related Objects

Event Timeline

Nicolas_Raoul raised the priority of this task from to Low.
Nicolas_Raoul updated the task description. (Show Details)
Nicolas_Raoul added a subscriber: Nicolas_Raoul.
Restricted Application added a project: Wikidata. ยท View Herald TranscriptJun 8 2015, 3:16 PM
Restricted Application added a subscriber: Aklapper. ยท View Herald Transcript
Sumit added a subscriber: Sumit.Jun 10 2015, 7:27 AM

For instance my website http://CmisSync.com uses

<meta property="og:image" content="http://cmissync.com/images/og_img.png" />

to tell Facebook what image it should use for previews.

I am not sure og:image is the right thing for us, so a look at http://ogp.me/ and https://developers.facebook.com/docs/sharing/best-practices is advised.

We should use og:image for this.
Note this is a bigger problem outside the scope of GSoc - see bug T32113

Jdlrobson renamed this task from Check how banners change the way article previews appear on social networks to Banners are used as the illustration when shared on social media websites such as Facebook.Sep 16 2015, 12:09 AM
Jdlrobson set Security to None.

Change 334789 had a related patch set uploaded (by Ladsgroup):
Add PageImage OpenGraph tag

https://gerrit.wikimedia.org/r/334789

Change 334789 merged by jenkins-bot:
Add PageImage OpenGraph tag

https://gerrit.wikimedia.org/r/334789

Jdlrobson closed this task as Resolved.Jan 31 2017, 7:22 PM
Jdlrobson claimed this task.